Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class StepExecutionStatusDetail

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.StepExecutionStatusDetail

    public class StepExecutionStatusDetail

extends Object

Specifies the execution state of a step.

Constructor Summary
`StepExecutionStatusDetail()`

Method Summary
`Date` | `getCreationDateTime()` The creation date and time of the step.
`Date` | `getEndDateTime()` The completion date and time of the step.
`String` | `getLastStateChangeReason()` A description of the step's current state.
`Date` | `getStartDateTime()` The start date and time of the step.
`String` | `getState()` The state of the job flow step.
`void` | `setCreationDateTime(Date creationDateTime)` The creation date and time of the step.
`void` | `setEndDateTime(Date endDateTime)` The completion date and time of the step.
`void` | `setLastStateChangeReason(String lastStateChangeReason)` A description of the step's current state.
`void` | `setStartDateTime(Date startDateTime)` The start date and time of the step.
`void` | `setState(String state)` The state of the job flow step.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`StepExecutionStatusDetail` | `withCreationDateTime(Date creationDateTime)` The creation date and time of the step.
`StepExecutionStatusDetail` | `withEndDateTime(Date endDateTime)` The completion date and time of the step.
`StepExecutionStatusDetail` | `withLastStateChangeReason(String lastStateChangeReason)` A description of the step's current state.
`StepExecutionStatusDetail` | `withStartDateTime(Date startDateTime)` The start date and time of the step.
`StepExecutionStatusDetail` | `withState(String state)` The state of the job flow step.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StepExecutionStatusDetail

    public StepExecutionStatusDetail()

Method Detail

### getState

    public String getState()

  The state of the job flow step.

  Constraints:
  Pattern: PENDING|RUNNING|COMPLETED|CANCELLED|FAILED|INTERRUPTED

  Returns:
    The state of the job flow step.

### setState

    public void setState(String state)

  The state of the job flow step.

  Constraints:
  Pattern: PENDING|RUNNING|COMPLETED|CANCELLED|FAILED|INTERRUPTED

  Parameters:
    `state` - The state of the job flow step.

### withState

    public StepExecutionStatusDetail withState(String state)

  The state of the job flow step.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: PENDING|RUNNING|COMPLETED|CANCELLED|FAILED|INTERRUPTED

  Parameters:
    `state` - The state of the job flow step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreationDateTime

    public Date getCreationDateTime()

  The creation date and time of the step.

  Returns:
    The creation date and time of the step.

### setCreationDateTime

    public void setCreationDateTime(Date creationDateTime)

  The creation date and time of the step.

  Parameters:
    `creationDateTime` - The creation date and time of the step.

### withCreationDateTime

    public StepExecutionStatusDetail withCreationDateTime(Date creationDateTime)

  The creation date and time of the step.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `creationDateTime` - The creation date and time of the step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStartDateTime

    public Date getStartDateTime()

  The start date and time of the step.

  Returns:
    The start date and time of the step.

### setStartDateTime

    public void setStartDateTime(Date startDateTime)

  The start date and time of the step.

  Parameters:
    `startDateTime` - The start date and time of the step.

### withStartDateTime

    public StepExecutionStatusDetail withStartDateTime(Date startDateTime)

  The start date and time of the step.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startDateTime` - The start date and time of the step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndDateTime

    public Date getEndDateTime()

  The completion date and time of the step.

  Returns:
    The completion date and time of the step.

### setEndDateTime

    public void setEndDateTime(Date endDateTime)

  The completion date and time of the step.

  Parameters:
    `endDateTime` - The completion date and time of the step.

### withEndDateTime

    public StepExecutionStatusDetail withEndDateTime(Date endDateTime)

  The completion date and time of the step.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endDateTime` - The completion date and time of the step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLastStateChangeReason

    public String getLastStateChangeReason()

  A description of the step's current state.

  Returns:
    A description of the step's current state.

### setLastStateChangeReason

    public void setLastStateChangeReason(String lastStateChangeReason)

  A description of the step's current state.

  Parameters:
    `lastStateChangeReason` - A description of the step's current state.

### withLastStateChangeReason

    public StepExecutionStatusDetail withLastStateChangeReason(String lastStateChangeReason)

  A description of the step's current state.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `lastStateChangeReason` - A description of the step's current state.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.